import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CompsRoutingModule } from './comps-routing.module';
import { CompModalComponent } from './comp-modal/comp-modal.component';
import {NzModalModule} from "ng-zorro-antd/modal";
import { ResumeModalComponent } from './resume-modal/resume-modal.component';


@NgModule({
  declarations: [
    CompModalComponent,
    ResumeModalComponent
  ],
  exports: [
    CompModalComponent,
    ResumeModalComponent
  ],
  imports: [
    CommonModule,
    CompsRoutingModule,
    NzModalModule
  ]
})
export class CompsModule { }
