// 用Parse JS SDK增删查改
/**
 * npm i -S parse
 */
// parse-dashboard --appId dev --masterKey devmk --serverURL https://web2023.fmode.cn/parse --appName Web3Dev
const Parse = require("parse/node")
Parse.serverURL = "https://web2023.fmode.cn/parse" // 配置服务器地址
Parse.initialize("dev") // 配置应用名称


async function main() {
  // 按自己的表继承新对象
  let LjUser = Parse.Object.extend("LjUser")
  let date = new Date();
  let LjPostType = Parse.Object.extend("LjPostsType")
  let InterviewData = Parse.Object.extend("LjUserInterviewData")
  let LjUserResumeData = Parse.Object.extend("LjUserResumeData");

  // let LjCompany = Parse.Object.extend("LjCompany");
  // let LjInstitution = Parse.Object.extend("LjInstitution")
  //
  // let company1 = new LjCompany();
  // let company2 = new LjCompany();
  // let company3 = new LjCompany();
  // let company4 = new LjCompany();
  //
  // let Ins1 = new LjInstitution();
  // let Ins2 = new LjInstitution();
  // let Ins3 = new LjInstitution();
  // let Ins4 = new LjInstitution();
  var userPointer = new Parse.User();
  userPointer.id = 'trYOEuj10s';
  for (let i = 1; i <= 10; i++) {
    let info = new LjUserResumeData();
    info.set({
      "name": "罗松磊",
      "age": "22",
      "education": "本科:北京大学" +
         "研究生:南加州",
      "address": "江西省南昌市",
      "phone": "1929999999",
      "email": "131@qq.com",
      "projectExperience": "01/2014 - 至 今 Windows phone 8 平台《全民都是英雄》 游戏开发 | 项目主要负责人 | C# .Net \n" +
         " 项目介绍：《全民都是英雄》是集卡牌、战斗与一体的创新即时制游戏。\n" +
         " 主要职责：前期游戏数据收集整理。设计主要算法。完成游戏的主要编程任务。\n" +
         "项目所属人：师文轩 联系电话:186 2288 3791\n" +
         "01/2014 - 02/2014 Windows phone 8 平台《撸阿撸》卡牌类游戏开发 | 客户端开发主要成员 | C# .Net \n" +
         " 项目介绍：《撸阿撸》是一款卡牌类的多人在线角色扮演类游戏。盈利方式主要为游戏内增\n" +
         "值服务。在上线一周内，中英文版用户数分别过万。现已实现几十万盈利。\n" +
         " 主要职责：完成新手引导、奖励和爵位、公告发布、存档等模块的独立编写。\n" +
         "项目所属人：师文轩 联系电话:186 2288 3791\n" +
         "10/2013 - 12/2013 英语题库管理系统 | 项目负责人 | java MySQL \n" +
         " 项目介绍：实现功能：试题备份还原，教师管理，试题导入，试卷按特定要求自动生成，试\n" +
         "卷 word 导出，试卷标准打印等。项目规模约为一万行代码。 \n" +
         " 主要职责：针对题库管理系统制定项目计划、需求分析、概要设计、详细设计、测试计划、\n" +
         "用户手册，完成主要算法、主要交互界面设计和绝大部分代码编写。\n" +
         "指导老师：韩 智 电子邮箱：hanzhi@nankai.edu.cn\n" +
         "10/2013 - 12/2013 餐馆订餐系统 | 项目负责人 | java MySQL \n" +
         "项目介绍：实现功能：餐馆工作人员分层管理，订餐，结算，销售总结等。 \n" +
         " 主要职责：完成主要算法、主要交互界面设计和全部代码编写。\n" +
         "指导老师：李兴娟 电子邮箱:lxjuan@nankai.edu.cn\n" +
         "04/2012 - 04/2013 南开大学百项工程 | 项目组长 | C 语言 MFC \n" +
         "项目介绍：设计并实现了一个面向用户的基于特征点的破碎纸币拼接系统。允许用户从摄像\n" +
         "头输入纸币碎片，最后向用户返回纸币的拼接方法。\n" +
         "主要职责：系统输入程序、部分内部处理及算法实现模块的编写。协调程序完成进度。\n" +
         "该系统验证和实现的核心算法在期刊类型为 EI 的 ICMIE 上发表了题为 An adaptive \n" +
         "SIFT-based paper currency fragments identification scheme 的论文。且本项目获得南\n" +
         "开大学本科生创新科研计划项目南开大学优秀奖及软件学院一等奖。 \n" +
         "指导老师：李 岳 电子邮箱：liyue80@nakai.edu.cn\n" +
         "09/2011 - 12/2011 超市销售管理系统 | 项目负责人 | java MySOL \n" +
         " 项目介绍：主要功能：员工管理，销售管理，销售结算，业绩统计等。\n" +
         " 主要职责：完成主要算法、主要交互界面设计和全部代码编写。\n" +
         "指导老师：殷爱茹 电子邮箱：yinar@naikai.edu.cn\n" +
         "09/2011 - 12/2011 视频 p2p 断点续传播放 | 项目负责人 | java \n" +
         "项目介绍：主要功能：局域网内好友添加与查找（支持模糊检索）、视频分享、视频断点续\n" +
         "传，视频播放等。\n" +
         "主要职责：独立完成代码的编写，可视化的设计及项目展示说明09/2011 - 12/2011 简易多功能计算器 | 项目负责人 | java \n" +
         "项目介绍：主要功能：简单全输入字符串解析并计算，不同进制间计算及相互转化，计算结\n" +
         "果汉字化，界面个性化\n" +
         "主要职责：完成主要算法、主要交互界面设计和全部代码编写。 \n" +
         "09/2011 - 12/2011 Unix 平台下 MiniShell | 项目负责人 | C 语言 \n" +
         "项目介绍：主要功能：容错性较强的输入模块，通过系统调用处理相关操作：cp,mv,,rm,cd\n" +
         "等常用命令及重定向等基本功能。\n" +
         "主要职责：完成主要算法、主要交互界面设计和全部代码编写。\n" +
         "10/2011 - 06/2012 RSA 加密与解密编程 | 项目负责人 | java \n" +
         "项目介绍：完成大数据为基础的 RSA 加密解密。\n" +
         "主要职责：独立完成代码撰写、可视化设计及项目展示。\n" +
         "09/2010 –12/2010 小型单机象棋程序 | 项目负责人 | C 语言 和 MFC \n" +
         "项目介绍：主要功能：人机象棋对战，难度调节等。\n" +
         "主要职责：独立完成大部分代码的编写。\n" +
         "其他小型项目： \n" +
         "09/2010 - 至 今 汇编贪吃蛇游戏，文件断点续传（C 语言版，java 语言版）， Unix 下文件系统的部分功能等。",
      "activities": "12/2013 - 至 今 天津享源科技有限公司实习生 \n" +
         "主要负责客户端的设计、数据收集处理与代码编写等工作。\n" +
         "09/2011 - 01/2013 南开大学花郎跆拳道协会 | 会长 \n" +
         "在任期内将协会由 30 左右发展到 150 人以上的大型社团并发展为“南开大学十佳社团”。\n" +
         "开创性举办“南开大学第一届体育节”。荣获南开大学十佳社团负责人，两次优秀社团负责\n" +
         "人，最具潜力会长等荣誉。\n" +
         "09/2011 - 06/2012 南开大学散打课 | 助教 \n" +
         "负责每周散打教学和动作演示工作。散打课为南开大学 A 类课程。\n" +
         "09/2011 - 12/2012 自考生南开大学和天津大学二学位招生南开区代理 | 项目负责人 \n" +
         "自行组建 8 人团队，主要工作：组建团队，筛选学校，设计宣传方案，在特定学\n" +
         " 校宣传与招生等。创下所有团队中单月招生人数最多记录。\n" +
         "02/2011 - 06/2011 南开大学床上用品销售 | 主要负责人 \n" +
         "自行组建 6 人团队，主要工作：联系卖家订货，在南开大学本部和校区进行宣传销售。 \n" +
         "其他 全国人口普查志愿者，校内电脑医生志愿者等",
      "awards": "09/2012 - 06/2013 南开大学本科生创新科研计划项目优秀奖，南开大学软件学院本科生创新科研项目一等奖； \n" +
         "02/2011 - 06/2012 南开大学十佳社团负责人，最具潜力会长； \n" +
         "09/2011 - 12/2011 南开大学优秀社团负责人，南开大学运动会乙组铁饼一等奖； \n" +
         "02/2011 - 06/2011 匡济助学金（5/100），国家二等助学金，南开大学优秀社团负责人； \n" +
         "09/2010 - 12/2010 张舜尧助新金（2/100）",
      "skills": "电脑： 熟练 Java，C#，MySQL；熟悉 C，C++，Unix/Linux 等。\n" +
         "语言： CET-6 (553)，听说读写能力良好",
      "user": userPointer
    });
    await info.save()
  }
  // let question = [
  //   {
  //     "type": "技术能力方面",
  //     "question": "1. 请问在后端开发中，您最常使用的编程语言是什么，为什么选择这个语言？"
  //   },
  //   {
  //     "type": "技术能力方面",
  //     "question": "2. 请列举一些您在后端开发中常用的数据库，并简要说明它们的特点和适用场景。"
  //   },
  //   {
  //     "type": "技术能力方面",
  //     "question": "3. 在后端开发中，您如何处理高并发的请求和数据处理？"
  //   },
  //   {
  //     "type": "团队协作方面",
  //     "question": "1. 在您过去的工作经验中，您是如何与其他团队成员协作的？请分享一个具体的例子。"
  //   },
  //   {
  //     "type": "团队协作方面",
  //     "question": "2. 当您与其他团队成员在技术方案上产生分歧时，您是如何解决这种冲突的？"
  //   },
  //   {
  //     "type": "团队协作方面",
  //     "question": "3. 在您的团队中，您如何促进团队成员之间的沟通和合作？"
  //   },
  //   {
  //     "type": "职业规划方面",
  //     "question": "1. 请问您对于个人职业发展有什么规划和目标？"
  //   },
  //   {
  //     "type": "职业规划方面",
  //     "question": "2. 在您过去的工作中，您是如何不断学习和提升自己的技术能力的？"
  //   },
  //   {
  //     "type": "职业规划方面",
  //     "question": "3. 如果您加入我们的团队，您希望在未来的几年内取得怎样的职业成长和发展？"
  //   }
  // ];
  // let answer = [
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕",
  //   "12回答完毕"
  // ];
  // let userList = [
  //   {
  //     "role": "assistant",
  //     "content": "哈喽我的您的面试官,请点击发送,我们将准备开始面试"
  //   },
  //   {
  //     "role": "user",
  //     "content": "开始面试"
  //   },
  //   {
  //     "role": "assistant",
  //     "content": "1. 请问在后端开发中，您最常使用的编程语言是什么，为什么选择这个语言？"
  //   },
  //   {
  //     "role": "user",
  //     "content": "哈哈回答完毕"
  //   },
  //   {
  //     "role": "assistant",
  //     "content": "2. 请列举一些您在后端开发中常用的数据库，并简要说明它们的特点和适用场景。"
  //   }
  // ]
  // let aiList = [
  //   {
  //     "role": "assistant",
  //     "content": "哈喽我的您的面试官,请点击发送,我们将准备开始面试"
  //   },
  //   {
  //     "role": "user",
  //     "content": "您需要扮演一名华为公司的技术总监刘，并主持一场，后端开发岗位招聘的第二轮技术面试。\n当前招聘前端开发工程师，需要熟悉HTML,JS,CSS基础，会Angular前端框架的优先，具有nodejs使用经验的优先。\n您是比较负责且严谨的面试官，提问内容是面向高级后端工程师的难度。\n接下来，请您根据面试岗位招聘要求，分别从技术能力、团队协作、职业规划三个方面各想出三个面试问题。\n请严格按照下列格式来生成问题,而且您只需要严格按照下列格式生成问题即可,我之后会给您我的回答,强调一点,你生成的回答不需要任何的修饰,只需要按照下列格式来生成响应的问题即可技术能力方面:1.2.3.团队协作方面:1.2.3.职业规划方面:1.2.3."
  //   },
  //   {
  //     "role": "assistant",
  //     "content": "技术能力方面:\n1. 请问在后端开发中，您最常使用的编程语言是什么，为什么选择这个语言？\n2. 请列举一些您在后端开发中常用的数据库，并简要说明它们的特点和适用场景。\n3. 在后端开发中，您如何处理高并发的请求和数据处理？\n\n团队协作方面:\n1. 在您过去的工作经验中，您是如何与其他团队成员协作的？请分享一个具体的例子。\n2. 当您与其他团队成员在技术方案上产生分歧时，您是如何解决这种冲突的？\n3. 在您的团队中，您如何促进团队成员之间的沟通和合作？\n\n职业规划方面:\n1. 请问您对于个人职业发展有什么规划和目标？\n2. 在您过去的工作中，您是如何不断学习和提升自己的技术能力的？\n3. 如果您加入我们的团队，您希望在未来的几年内取得怎样的职业成长和发展？"
  //   }
  // ]

  // for (let i = 1; i <= 10; i++) {
  //   let company4 = new LjPostType();
  //   // let s = i.toString().padStart(3, '0')
  //   var jobTypes = [
  //     "技术类职业",
  //     "商业和管理类职业",
  //     "医疗和健康类职业",
  //     "教育类职业",
  //     "媒体和传媒类职业",
  //     "艺术和设计类职业",
  //     "建筑和工程类职业",
  //     "零售和销售类职业",
  //     "金融和投资类职业",
  //     "法律和法务类职业"
  //   ];
  //
  //   company4.set({
  //     // comno: s,
  //     // name: "江西脑控",
  //     // address: "江西省南昌市青山湖区",
  //     // salary: "10000",
  //     // post: "angular开发工程师",
  //     // info: "脑控科技是一个",
  //     // member: "1",
  //     typeno: i.toString(),
  //     jobTypes: jobTypes[i]
  //
  //
  //   })
  //   company4.save()
  //
  // }


  // Ins1.set({
  //   name: "黑马",
  //   courses: "前端开发高薪课",
  //   price: "210001",
  //   member: "2",
  //   address: "北京市房山区",
  //   info: "黑马是一家",
  //   phoneNumber: "1800000000",
  // })
  // Ins2.set({
  //   name: "黑马",
  //   courses: "前端开发高薪课",
  //   price: "210002",
  //   member: "2",
  //   address: "北京市房山区",
  //   info: "黑马是一家",
  //   phoneNumber: "1800000000",
  // })
  // Ins3.set({
  //   name: "黑马",
  //   courses: "前端开发高薪课",
  //   price: "210003",
  //   member: "2",
  //   address: "北京市房山区",
  //   info: "黑马是一家",
  //   phoneNumber: "1800000000",
  // })
  // Ins4.set({
  //   name: "黑马",
  //   courses: "前端开发高薪课",
  //   price: "210004",
  //   member: "2",
  //   address: "北京市房山区",
  //   info: "黑马是一家",
  //   phoneNumber: "1800000000",
  // })
  //
  // Ins1.save()
  // Ins2.save()
  // Ins3.save()
  // Ins4.save()

  // company1.set({
  //   comno: "0000000001",
  //   name: "江西脑控",
  //   address: "江西省南昌市青山湖区",
  //   salary: "10000",
  //   post: "angular开发工程师",
  //   info: "脑控科技是一个",
  //   member: "1",
  // })
  // company2.set({
  //   comno: "0000000002",
  //   name: "江西脑控",
  //   address: "江西省南昌市青山湖区",
  //   salary: "10000",
  //   post: "angular开发工程师",
  //   info: "脑控科技是一个",
  //   member: "1",
  // })
  // company3.set({
  //   comno: "0000000003",
  //   name: "江西脑控",
  //   address: "江西省南昌市青山湖区",
  //   salary: "10000",
  //   post: "angular开发工程师",
  //   info: "脑控科技是一个",
  //   member: "1",
  // })
  // company4.set({
  //   comno: "0000000004",
  //   name: "江西脑控",
  //   address: "江西省南昌市青山湖区",
  //   salary: "10000",
  //   post: "angular开发工程师",
  //   info: "脑控科技是一个",
  //   member: "1",
  // })
  // company1.save()
  // company2.save()
  // company3.save()
  // company4.save()


  // 创建新同学，外键depart指向新班级
  // let student1 = new LjUser()
  // let student2 = new LjUser()
  // let student3 = new LjUser()
  // let student4 = new LjUser()

  // student1.set({
  //   name: "求职一号",
  //   stuno: "000000002",
  //   gender: "女",
  //   age: 21,
  //   signDate: date,
  //   skills: ['web'],
  //   member: true,
  //   account: 'test1',
  //   password: '123'
  // })
  // student2.set({
  //   name: "求职二号",
  //   stuno: "000000003",
  //   gender: "女",
  //   age: 21,
  //   signDate: date,
  //   skills: ['web'],
  //   member: true,
  //   account: 'test2',
  //   password: '123'
  // })
  // student3.set({
  //   name: "求职三号",
  //   stuno: "000000004",
  //   gender: "女",
  //   age: 21,
  //   signDate: date,
  //   skills: ['web'],
  //   member: true,
  //   account: 'test3',
  //   password: '123'
  // })
  // student4.set({
  //   name: "求职四号",
  //   stuno: "000000005",
  //   gender: "女",
  //   age: 21,
  //   signDate: date,
  //   skills: ['web'],
  //   member: true,
  //   account: 'test4',
  //   password: '123'
  // })
  // student1.save()
  // student2.save()
  // student3.save()
  // student4.save()
}

main()